<template>
  <v-dialog v-bind="attr">
    <template v-for="(item, key, i) in slots" :key="i" v-slot:[key]="data">
      <slot v-if="key" :name="key" v-bind="data"></slot>
    </template>
  </v-dialog>
</template>

<script setup>
import { useAttrs, useSlots } from 'vue'
defineOptions({name: 'ct-button'})
const attr = useAttrs()
const slots = useSlots()
// slots.forEach(e => {
//   console.log(e)
// })
</script>

<style lang="scss" scoped>

</style>